Fix Python on Windows error Microsoft Visual C++ 10.0 is required (unable to find vcvarsall.bat)

Related: Fix Python3 error Visual C++ 14.0 required


To fix the error for Python 2.7 on Windows

error Microsoft Visual C++ 10.0 is required (unable to find vcvarsall.bat)

Install Microsoft Visual C++ Compiler for Python 2.7.

Notes

Details of why Visual Studio is needed for Python on Windows, including matrix of Python version vs. Visual Studio version required.

Leave a Comment